Update customization
Updates a store customization. Options without an id are created and missing options are deleted. Every product that uses it changes too.
Path Parameters
Unique identifier of the resource.
Header Parameters
Store the request acts on. Not needed when the token is bound to a store.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X PUT "https://api.ecomiq.pe/api/v1/catalog/modifier-groups/7204558912004328247" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>" \ -H "Content-Type: application/json" \ -d '{ "name": "Clientes frecuentes", "internalName": "Clientes frecuentes", "description": "Polo de algodón pima para uso diario.", "selectionType": "single", "display": "list", "isRequired": true, "minSelections": 1, "maxSelections": 1 }'{ "id": "7204558912004328247", "name": "Clientes frecuentes", "selectionType": "single", "display": "list", "isRequired": true, "minSelections": 1, "priceDelta": 89, "order": 1, "status": "active", "options": [ { "id": "7204558912004322325", "name": "Color", "priceDelta": 89, "isDefault": true, "maxQuantity": 2, "order": 1, "status": "active", "color": "Azul" } ], "productCount": 24, "createdOn": "2026-09-28T15:30:00Z"}